#include "S48P02.h"
#include "Net/UnrealNetwork.h"

void US48P02::OnRep_WasPerkActivated()
{

}

void US48P02::OnCooldownTimerCompleted()
{

}

void US48P02::Multicast_OnVaultEnd_Implementation()
{

}

void US48P02::Authority_OnPlayerLanded()
{

}

void US48P02::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(US48P02, _wasPerkActivated);
}

US48P02::US48P02()
{
	this->_distanceToKiller = 200.000000;
	this->_wasPerkActivated = false;
	this->_stunBP = NULL;
}
